
QGIS Application - Bug report #726

GRASS edit: crashes when closing v.digit

2007-06-06 08:35 AM - pcavallini -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10785

Description

Digitizing works well, but when closing the v.digit window QGIS crashes. It is a regression of 0.9, as older versions work well.

History

#1 - 2007-08-04 02:24 AM - Maciej Sieczka -

Core dump provided by Otto Dassau:

Core was generated by @qgis'.

Program terminated with signal 11, Segmentation fault.

#0  0xb304ee56 in [[QgsGrassEdit]]::~QgsGrassEdit () from

/usr/local/lib/qgis/libgrassplugin.so

(gdb) bt

#0  0xb304ee56 in [[QgsGrassEdit]]::~QgsGrassEdit () from

/usr/local/lib/qgis/libgrassplugin.so

#3905  0xb304e248 in [[QgsGrassEdit]]::closeEdit () from

#/usr/local/lib/qgis/libgrassplugin.so

#3906  0xb31073ba in [[QgsGrassEdit]]::qt_metacall () from

#/usr/local/lib/qgis/libgrassplugin.so

#3907  0xb71f29de in QMetaObject::activate (sender=0x852c248,

#from_signal_index=5,

    to_signal_index=6, argv=0xbfa4b7cc) at kernel/qobject.cpp:3072

#3908  0xb71f2b94 in QMetaObject::activate (sender=0x852c248, m=0xb7cb18a0,

    from_local_signal_index=1, to_local_signal_index=2, argv=0xbfa4b7cc)

    at kernel/qobject.cpp:3154

#3909  0xb7671954 in QAction::triggered (this=0x852c248, _t1=false)

    at .moc/debug-shared/moc_qaction.cpp:208

#3910  0xb7673684 in QAction::activate (this=0x852c248, event=QAction::Trigger)

    at kernel/qaction.cpp:1087

#3911  0xb76771d7 in QAction::trigger (this=0x852c248)

    at ../../include/QtGui/../../src/gui/kernel/qaction.h:175

#3912  0xb7a91eaf in QToolButton::nextCheckState (this=0x8530bc0)

    at widgets/qtoolbutton.cpp:1054

#3913  0xb79bbad3 in QAbstractButtonPrivate::click (this=0x8530d18)

    at widgets/qabstractbutton.cpp:500

#10 0xb79bbde6 in QAbstractButton::mouseReleaseEvent (this=0x8530bc0,

e=0xbfa4bfc8)

    at widgets/qabstractbutton.cpp:1087

#3914 0xb7a93498 in QToolButton::mouseReleaseEvent (this=0x8530bc0,
e=0xbfa4bfc8)

    at widgets/qtoolbutton.cpp:643

#3915 0xb76caaff in QWidget::event (this=0x8530bc0, event=0xbfa4bfc8)

    at kernel/qwidget.cpp:6032

#3916 0xb79ba6d2 in QAbstractButton::event (this=0x8530bc0, e=0xbfa4bfc8)

    at widgets/qabstractbutton.cpp:1049

#3917 0xb7a91e5a in QToolButton::event (this=0x8530bc0, e=0xbfa4bfc8)

---Type <return> to continue, or q <return> to quit---

    at widgets/qtoolbutton.cpp:1060

#3918 0xb7679445 in QApplicationPrivate::notify_helper (this=0x82e26e8,

receiver=0x8530bc0,

    e=0xbfa4bfc8) at kernel/qapplication.cpp:3538

#3919 0xb767a01f in QApplication::notify (this=0xbfa4c76c, receiver=0x8530bc0,

e=0xbfa4bfc8)

    at kernel/qapplication.cpp:3237

#3920 0xb71e155a in QCoreApplication::notifyInternal (this=0xbfa4c76c,

receiver=0x8530bc0,

    event=0xbfa4bfc8) at kernel/qcoreapplication.cpp:509

#3921 0xb768487d in QCoreApplication::sendSpontaneousEvent

(receiver=0x8530bc0,

    event=0xbfa4bfc8)

    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:189

#3922 0xb76e5130 in QETWidget::translateMouseEvent (this=0x8530bc0,

#event=0xbfa4c3f0)

    at kernel/qapplication_x11.cpp:3853

#3923 0xb76e2e7a in QApplication::x11ProcessEvent (this=0xbfa4c76c,

event=0xbfa4c3f0)

    at kernel/qapplication_x11.cpp:2916

#3924 0xb77108d2 in x11EventSourceDispatch (s=0x82ea638, callback=0,

user_data=0x0)

    at kernel/qguieventdispatcher_glib.cpp:122

#3925 0xb6138a62 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

#3926 0xb613ba2f in g_main_context_check () from /usr/lib/libglib-2.0.so.0

#3927 0xb613bf95 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

#3928 0xb720a1f0 in QEventDispatcherGlib::processEvents (this=0x82e73e0,

#flags=@0xbfa4c598)

    at kernel/qeventdispatcher_glib.cpp:325

#3929 0xb7710188 in QGuiEventDispatcherGlib::processEvents (this=0x82e73e0,

flags=@0xbfa4c5cc)

    at kernel/qguieventdispatcher_glib.cpp:178

#3930 0xb71de4e2 in QEventLoop::processEvents (this=0xbfa4c640,

flags=@0xbfa4c604)

    at kernel/qeventloop.cpp:126

#3931 0xb71de664 in QEventLoop::exec (this=0xbfa4c640, flags=@0xbfa4c648)

    at kernel/qeventloop.cpp:168

---Type <return> to continue, or q <return> to quit---

#3932 0xb71e1ca7 in QCoreApplication::exec () at

kernel/qcoreapplication.cpp:729

#3933 0xb7678fc8 in QApplication::exec () at kernel/qapplication.cpp:3035

#3934 0x080e7121 in main ()

(gdb)
#2 - 2007-08-06 03:54 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:4aaabbe8 (SVN r7126)

#3 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
